_MediaPixelFormat = function () {
  this.nv12 = 0;
  this.bgra8 = 1;
}
exports.MediaPixelFormat = new _MediaPixelFormat();

_MediaThumbnailFormat = function () {
  this.bmp = 0;
  this.bgra8 = 1;
}
exports.MediaThumbnailFormat = new _MediaThumbnailFormat();

_AudioEncodingQuality = function () {
  this.auto = 0;
  this.high = 1;
  this.medium = 2;
  this.low = 3;
}
exports.AudioEncodingQuality = new _AudioEncodingQuality();

_VideoEncodingQuality = function () {
  this.auto = 0;
  this.hD1080p = 1;
  this.hD720p = 2;
  this.wvga = 3;
  this.ntsc = 4;
  this.pal = 5;
  this.vga = 6;
  this.qvga = 7;
}
exports.VideoEncodingQuality = new _VideoEncodingQuality();

MediaRatio = (function () {
  var cls = function MediaRatio() {
    this.numerator = new Number();
    this.denominator = new Number();
  };
  

  return cls;
}) ();
exports.MediaRatio = MediaRatio;

MediaPropertySet = (function () {
  var cls = function MediaPropertySet() {
  };
  

  cls.prototype.lookup = function lookup(key) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="key" type="String">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.hasKey = function hasKey(key) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="key" type="String">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.getView = function getView() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.insert = function insert(key, value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="key" type="String">A param.</param>
    /// <param name="value" type="Object">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.remove = function remove(key) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="key" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.clear = function clear() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.first = function first() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.MediaPropertySet = MediaPropertySet;

IMediaEncodingProperties = (function () {
  var cls = function IMediaEncodingProperties() {
    this.properties = new MediaPropertySet();
    this.subtype = new String();
    this.type = new String();
  };
  

  return cls;
}) ();
exports.IMediaEncodingProperties = IMediaEncodingProperties;

AudioEncodingProperties = (function () {
  var cls = function AudioEncodingProperties() {
    this.subtype = new String();
    this.properties = new MediaPropertySet();
    this.type = new String();
    this.sampleRate = new Number();
    this.channelCount = new Number();
    this.bitsPerSample = new Number();
    this.bitrate = new Number();
  };
  

  cls.prototype.setFormatUserData = function setFormatUserData(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Array<Number>">A param.</param>
    /// </signature>
  }


  cls.prototype.getFormatUserData = function getFormatUserData(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Array<Number>">A param.</param>
    /// </signature>
  }


  cls.createAac = function createAac(sampleRate, channelCount, bitrate) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="sampleRate" type="Number">A param.</param>
    /// <param name="channelCount" type="Number">A param.</param>
    /// <param name="bitrate" type="Number">A param.</param>
    /// <returns type="AudioEncodingProperties" />
    /// </signature>
    return new AudioEncodingProperties();
  }


  cls.createAacAdts = function createAacAdts(sampleRate, channelCount, bitrate) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="sampleRate" type="Number">A param.</param>
    /// <param name="channelCount" type="Number">A param.</param>
    /// <param name="bitrate" type="Number">A param.</param>
    /// <returns type="AudioEncodingProperties" />
    /// </signature>
    return new AudioEncodingProperties();
  }


  cls.createMp3 = function createMp3(sampleRate, channelCount, bitrate) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="sampleRate" type="Number">A param.</param>
    /// <param name="channelCount" type="Number">A param.</param>
    /// <param name="bitrate" type="Number">A param.</param>
    /// <returns type="AudioEncodingProperties" />
    /// </signature>
    return new AudioEncodingProperties();
  }


  cls.createPcm = function createPcm(sampleRate, channelCount, bitsPerSample) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="sampleRate" type="Number">A param.</param>
    /// <param name="channelCount" type="Number">A param.</param>
    /// <param name="bitsPerSample" type="Number">A param.</param>
    /// <returns type="AudioEncodingProperties" />
    /// </signature>
    return new AudioEncodingProperties();
  }


  cls.createWma = function createWma(sampleRate, channelCount, bitrate) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="sampleRate" type="Number">A param.</param>
    /// <param name="channelCount" type="Number">A param.</param>
    /// <param name="bitrate" type="Number">A param.</param>
    /// <returns type="AudioEncodingProperties" />
    /// </signature>
    return new AudioEncodingProperties();
  }


  return cls;
}) ();
exports.AudioEncodingProperties = AudioEncodingProperties;

MediaEncodingSubtypes = (function () {
  var cls = function MediaEncodingSubtypes() {
  };
  

  cls.aac = new String();
  cls.aacAdts = new String();
  cls.ac3 = new String();
  cls.amrNb = new String();
  cls.amrWb = new String();
  cls.argb32 = new String();
  cls.asf = new String();
  cls.avi = new String();
  cls.bgra8 = new String();
  cls.bmp = new String();
  cls.float = new String();
  cls.gif = new String();
  cls.h263 = new String();
  cls.h264 = new String();
  cls.h264Es = new String();
  cls.hevc = new String();
  cls.hevcEs = new String();
  cls.iyuv = new String();
  cls.jpeg = new String();
  cls.jpegXr = new String();
  cls.mjpg = new String();
  cls.mp3 = new String();
  cls.mpeg = new String();
  cls.mpeg1 = new String();
  cls.mpeg2 = new String();
  cls.mpeg4 = new String();
  cls.nv12 = new String();
  cls.pcm = new String();
  cls.png = new String();
  cls.rgb32 = new String();
  cls.tiff = new String();
  cls.wave = new String();
  cls.wma8 = new String();
  cls.wma9 = new String();
  cls.wmv3 = new String();
  cls.wvc1 = new String();
  cls.yuy2 = new String();
  cls.yv12 = new String();
  cls.rgb24 = new String();
  cls.eac3 = new String();
  return cls;
}) ();
exports.MediaEncodingSubtypes = MediaEncodingSubtypes;

H264ProfileIds = (function () {
  var cls = function H264ProfileIds() {
  };
  

  cls.baseline = new Number();
  cls.constrainedBaseline = new Number();
  cls.extended = new Number();
  cls.high = new Number();
  cls.high10 = new Number();
  cls.high422 = new Number();
  cls.high444 = new Number();
  cls.main = new Number();
  cls.multiviewHigh = new Number();
  cls.stereoHigh = new Number();
  return cls;
}) ();
exports.H264ProfileIds = H264ProfileIds;

Mpeg2ProfileIds = (function () {
  var cls = function Mpeg2ProfileIds() {
  };
  

  cls.high = new Number();
  cls.main = new Number();
  cls.signalNoiseRatioScalable = new Number();
  cls.simple = new Number();
  cls.spatiallyScalable = new Number();
  return cls;
}) ();
exports.Mpeg2ProfileIds = Mpeg2ProfileIds;

VideoEncodingProperties = (function () {
  var cls = function VideoEncodingProperties() {
    this.width = new Number();
    this.height = new Number();
    this.bitrate = new Number();
    this.frameRate = new MediaRatio();
    this.pixelAspectRatio = new MediaRatio();
    this.subtype = new String();
    this.properties = new MediaPropertySet();
    this.type = new String();
    this.profileId = new Number();
  };
  

  cls.prototype.setFormatUserData = function setFormatUserData(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Array<Number>">A param.</param>
    /// </signature>
  }


  cls.prototype.getFormatUserData = function getFormatUserData(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Array<Number>">A param.</param>
    /// </signature>
  }


  cls.createH264 = function createH264() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="VideoEncodingProperties" />
    /// </signature>
    return new VideoEncodingProperties();
  }


  cls.createMpeg2 = function createMpeg2() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="VideoEncodingProperties" />
    /// </signature>
    return new VideoEncodingProperties();
  }


  cls.createUncompressed = function createUncompressed(subtype, width, height) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="subtype" type="String">A param.</param>
    /// <param name="width" type="Number">A param.</param>
    /// <param name="height" type="Number">A param.</param>
    /// <returns type="VideoEncodingProperties" />
    /// </signature>
    return new VideoEncodingProperties();
  }


  return cls;
}) ();
exports.VideoEncodingProperties = VideoEncodingProperties;

ImageEncodingProperties = (function () {
  var cls = function ImageEncodingProperties() {
    this.width = new Number();
    this.height = new Number();
    this.subtype = new String();
    this.properties = new MediaPropertySet();
    this.type = new String();
  };
  

  cls.createUncompressed = function createUncompressed(format) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="format" type="MediaPixelFormat">A param.</param>
    /// <returns type="ImageEncodingProperties" />
    /// </signature>
    return new ImageEncodingProperties();
  }


  cls.createBmp = function createBmp() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ImageEncodingProperties" />
    /// </signature>
    return new ImageEncodingProperties();
  }


  cls.createJpeg = function createJpeg() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ImageEncodingProperties" />
    /// </signature>
    return new ImageEncodingProperties();
  }


  cls.createPng = function createPng() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ImageEncodingProperties" />
    /// </signature>
    return new ImageEncodingProperties();
  }


  cls.createJpegXR = function createJpegXR() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ImageEncodingProperties" />
    /// </signature>
    return new ImageEncodingProperties();
  }


  return cls;
}) ();
exports.ImageEncodingProperties = ImageEncodingProperties;

ContainerEncodingProperties = (function () {
  var cls = function ContainerEncodingProperties() {
    this.subtype = new String();
    this.properties = new MediaPropertySet();
    this.type = new String();
  };
  

  return cls;
}) ();
exports.ContainerEncodingProperties = ContainerEncodingProperties;

MediaEncodingProfile = (function () {
  var cls = function MediaEncodingProfile() {
    this.video = new VideoEncodingProperties();
    this.container = new ContainerEncodingProperties();
    this.audio = new AudioEncodingProperties();
  };
  

  cls.createFromFileAsync = function createFromFileAsync(file, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="file" type="Object">A param.</param>
    /// </signature>
  }



  cls.createFromStreamAsync = function createFromStreamAsync(stream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="stream" type="Object">A param.</param>
    /// </signature>
  }



  cls.createWav = function createWav(quality) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="quality" type="AudioEncodingQuality">A param.</param>
    /// <returns type="MediaEncodingProfile" />
    /// </signature>
    return new MediaEncodingProfile();
  }


  cls.createAvi = function createAvi(quality) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="quality" type="VideoEncodingQuality">A param.</param>
    /// <returns type="MediaEncodingProfile" />
    /// </signature>
    return new MediaEncodingProfile();
  }


  cls.createM4a = function createM4a(quality) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="quality" type="AudioEncodingQuality">A param.</param>
    /// <returns type="MediaEncodingProfile" />
    /// </signature>
    return new MediaEncodingProfile();
  }


  cls.createMp3 = function createMp3(quality) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="quality" type="AudioEncodingQuality">A param.</param>
    /// <returns type="MediaEncodingProfile" />
    /// </signature>
    return new MediaEncodingProfile();
  }


  cls.createWma = function createWma(quality) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="quality" type="AudioEncodingQuality">A param.</param>
    /// <returns type="MediaEncodingProfile" />
    /// </signature>
    return new MediaEncodingProfile();
  }


  cls.createMp4 = function createMp4(quality) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="quality" type="VideoEncodingQuality">A param.</param>
    /// <returns type="MediaEncodingProfile" />
    /// </signature>
    return new MediaEncodingProfile();
  }


  cls.createWmv = function createWmv(quality) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="quality" type="VideoEncodingQuality">A param.</param>
    /// <returns type="MediaEncodingProfile" />
    /// </signature>
    return new MediaEncodingProfile();
  }


  return cls;
}) ();
exports.MediaEncodingProfile = MediaEncodingProfile;

